

#include "ui/applic.h"
#include "ui/composit.h"
#include "ui/label.h"


int UI_Application::Main (int, char*[])
{
    UI_CompositeVObject* win1 = new UI_CompositeVObject
        (NULL, UI_Rectangle (30, 50, 350, 50));
    UI_Label* lbl1 = new UI_Label
        (win1, UI_Rectangle (10, 20, 180, 20), 1001);
    lbl1->Title() = "Border and title";
    win1->Title() = "YACL Window Borders Demo";
    MakeTopWindow (win1);
    
    UI_CompositeVObject* win2 = new UI_CompositeVObject
        (win1, UI_Rectangle (20, 110, 200, 50));
    UI_Label* lbl2 = new UI_Label
        (win2, UI_Rectangle (10, 20, 180, 20), 1001);
    win2->HideTitleBar();
    lbl2->Title() = "Border only";
    
    UI_CompositeVObject* win3 = new UI_CompositeVObject
        (win1, UI_Rectangle (365, 50, 200, 50));
    win3->HideBorder();
    win3->Title() = "Title only";
    
    UI_CompositeVObject* win4 = new UI_CompositeVObject
        (win1, UI_Rectangle (250, 100, 200, 50));
    UI_Label* lbl4 = new UI_Label
        (win4, UI_Rectangle (10, 20, 180, 20), 1001);
    win4->HideTitleBar();
    win4->HideBorder();
    lbl4->Title() = "No border, no title";
    Run();
    return 0;
}
